Sub Main
    Dim App As femap.model
    Set App = feFemap()

    'Step 1: Dimension Set
	Dim nodeSet As Set
	Set nodeSet = App.feSet

	'Step 2: Dimension and fill an array to hold the node IDs
	Dim ndIDs(2) As Long
	ndIDs(0) = 1
	ndIDs(1) = 2
	ndIDs(2) = 3

	'Step 3: Add the array of node IDs to the set
	nodeSet.AddArray(3,ndIDs)

	'Step 4: Dimension the output variables for GetCoordArray
	Dim numNode As Long, entID As Variant, xyz As Variant

	'Step 5: Use GetCoordArray to get ther coordinates for nodes 1, 2 and 3
	rc = App.feNode.GetCoordArray(nodeSet.ID, numNode, entID, xyz)

	'Step 6: Write the coordinate information to the messages window
	Dim txt As String, x As Double, y As Double, z As Double
	For i = 0 To numNode-1
		x = xyz(3*i)
		y = xyz(3*i+1)
		z = xyz(3*i+2)
		txt = "Node "+CStr(entID(i))+": ("+CStr(x)+","+CStr(y)+","+CStr(z)+")"
		App.feAppMessage(0,txt)
	Next i


    
End Sub
